﻿© 2007 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 (1 yr) Leakage VER IEEE /5820
DATE:                  2007-10-03 07:17:13
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       7
NUMBER OF LINES:       119
CONFIGURATION:         Fluke 5820A
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6051, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Global Variables Used:
#
#    @Chan
#      This register specifies which channel of the WaveRunner 6000 series
#      oscilloscope is currently being tested.
#        @Chan = 1 (Channel 1)
#        @Chan = 2 (Channel 2)
#        @Chan = 3 (Channel 3)
#        @Chan = 4 (Channel 4)
#        @Chan = 5 (EXT input)
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Initialize by first clearing all parameters, turn both traces off.
  1.001  IEEE2        PACL;C1:TRA OFF;C2:TRA OFF
# Trigger mode to Auto.
  1.002  IEEE2        TRMD AUTO
# Time/div to 50 ns.
  1.003  IEEE2        TDIV 50e-9

# If channel (@Chan) not external (1-4) perform vertical input tests.
  1.004  IF           @Chan < 5
# Set selected channel trace to on, input coupling to 50 Ohms, DC.
  1.005  IEEE2        C[V @Chan]:TRA ON;CPL D50
  1.006  RSLT         =
  1.007  RSLT         =Channel [V @Chan]
  1.008  RSLT         =

  1.009  RSLT         =DC, 50 Ohms
  1.010  MATH         L[1] = @Chan
  1.011  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 50 Ohms): 20 mV/div
  1.012  TSET         TDESC = 20 mV/div
  1.013  TARGET       -p
# Set selected channel to 20 mV/div.
  1.014  IEEE2        C[V @Chan]:VDIV 20e-3
  1.015  TARGET       -m
  1.016  5820         0.0mV          2.0U                            VM    2W

  2.001  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 50 Ohms): 200 mV/div
  2.002  TSET         TDESC = 200 mV/div
  2.003  TARGET       -p
  2.004  IEEE2        C[V @Chan]:VDIV 200e-3
  2.005  TARGET       -m
  2.006  5820         0.0mV          2.0U                            VM    2W

  3.001  RSLT         =
  3.002  RSLT         =DC, 1 MOhm
  3.003  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 1 MOhm): 20 mV/div
  3.004  TSET         TDESC = 20 mV/div
  3.005  TARGET       -p
  3.006  IEEE2        C[V @Chan]:VDIV 20e-3
  3.007  TARGET       -m
  3.008  5820         0.0mV          2.0U                            VM    2W

  4.001  HEAD         CH[L1] LEAKAGE VOLTAGE TEST (DC, 1 MOhm): 200 mV/div
  4.002  TSET         TDESC = 200 mV/div
  4.003  TARGET       -p
  4.004  IEEE         C[V @Chan]:VDIV 200e-3
  4.005  TARGET       -m
  4.006  5820         0.0mV          2.0U                            VM    2W

  5.001  ELSE
# If channel (@Chan) is external (5) perform external input tests.
  5.002  RSLT         =
  5.003  RSLT         =External Input
  5.004  HEAD         EXTERNAL INPUT LEAKAGE VOLTAGE TEST (DC, 50 Ohms)
  5.005  TSET         TDESC = DC, 50 Ohms
  5.006  TARGET       -p
# Trigger Select, Edge, Source, <selected channel>, Slope, Positive.
  5.007  IEEE2        TRSE EDGE,SR,EX;EX:TRSL POS;EX:TRCP DC50
  5.008  TARGET       -m
  5.009  5820         0.0mV          2.0U                            VM    2W

  6.001  HEAD         EXTERNAL INPUT LEAKAGE VOLTAGE TEST (DC, 1 MOhm)
  6.002  TSET         TDESC = DC, 1 MOhm
  6.003  IEEE2        TRSE EDGE,SR,EX;EX:TRSL POS;EX:TRCP DC1M
  6.004  TARGET       -m
  6.005  5820         0.0mV          2.0U                            VM    2W
  7.001  ENDIF

  7.002  5820         *                                                 S
  7.003  IEEE2        *RST
  7.004  END
